# $Revision: 1.2 $, $Date: 2002/08/18 12:08:09 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Regexp
%define	pnam	Shellish
Summary:	Regexp::Shellish perl module - Shell-like regular expressions
Summary(pl):	Modu perla Regexp::Shellish - shellopodobne wyraenia regularne
Name:		perl-Regexp-Shellish
Version:	0.93
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Shellish module provides shell-like regular expressions. The
wildcards provided are '?', '*' and '**', where '**' is like '*' but
matches '/'.

%description -l pl
Modu Regexp::Shellish udostpnia shellopodobne wyraenia regularne.
Dostpne maski to: '?', '*' i '**', gdzie '**' jest podobna do '*',
ale obejmuje znaki '/'.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Regexp/Shellish.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Regexp-Shellish.spec,v $
Revision 1.2  2002/08/18 12:08:09  blues
- release 2 - license fix; STBR

Revision 1.1  2002/07/14 02:24:10  qboosh
- new

